%define	name	herrie
%define	major	1
%define	version 2.2
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Command line media player
URL:            http://herrie.info
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
License:	BSD, GPLv3
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:	gettext (NLS, optional)
#- glib
#- libasound (ALSA, optional)
#- libao (AO, optional)
#- libcurl (HTTP and AudioScrobbler, optional)
#- libid3tag (MP3, optional)
#- libmad (MP3, optional)
#- libmodplug (optional)
#- libsndfile (optional)
#- libspiff (XSPF support, requires 0.6.3 or higher, optional)
#- libvorbisfile (optional)
#- ncursesw, ncurses or pdcurses (`XCurses')
#- pulseaudio (optional)

%description
Herrie is a minimalistic music player that uses the command line. It is
written to support a variety of operating systems, audio subsystems and
file formats, including playlists.

Herrie has a split-screen user interface, with a playlist at the top of
the screen and a file browser at the bottom. When tracks are added to
the playlist, Herrie automatically consumes them one by one. It is thus
an application that allows you to batch music for playback.

Herrie is actually a Dutch word. Its meaning is similar to the English
word 'clamour' (loud noise). Just pronounce it as the English given name
'Harry' and you are a long way.

Here is a list of keybindings for Herrie:
Tab:	Switch between top and bottom panes
Left:	Go up one directory
Right:	Enter directory
Up/
Down:	Select file

z:	Previous song
x:	Play
c:	Pause
v:	Stop
b:	Next song

<:	Move 5 seconds backward
>:	Move 5 seconds forward
J:	Seek to a specific position in the song
	(If you prepend a + or -, it will move relative to current position in song)

(:	Decrease volume
):	Increase volume

A:	Add selected file to end of playlist
I:	Add selected file to beginning of playlist

There are many more key bindings. Please run "man herrie" to see a complete list

%package i10n
Summary:    	Internationalisation files for herrie
Group:      	Sound
Requires:   	%{name}

%description i10n
Internationalisation files for herrie

%prep
%setup -q

%build

./configure no_xspf ncurses

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{_sysconfdir}/%{name}.conf.sample

%files i10n
%defattr(-,root,root)
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Wed May 05 2009 pcserver <pcserver@hushmail.com> 2.2-2pclos2009
- fix synaptic group

* Wed Jan 07 2009 KDulcimer <kdulcimer@gmail.com> 2.2-1tinyme2008
- 2.2

* Mon Jul 14 2008 KDulcimer <kdulcimer@gmail.com> 2.0.2-1tinyme2008
- initial release
